Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.notification.event
Class FieldModifiedEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.cache.pojo.notification.event.Event
              org.jboss.cache.pojo.notification.event.FieldModifiedEvent

All Implemented Interfaces:
  Serializable

    public final class FieldModifiedEvent

extends Event

A notification that indicates a field was changed on an attached object.

Author:
  Jason T. Greene.
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FieldModifiedEvent(NotificationContext context, Object source, Field field, Object value, boolean local)`

Method Summary
`Field` | `getField()` Gets the field that was or is being modified (depending on the notification phase).
`Object` | `getValue()` Gets the new value that this field is being set to.

Methods inherited from class org.jboss.cache.pojo.notification.event.Event
`getContext, isLocal`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldModifiedEvent

    public FieldModifiedEvent(NotificationContext context,
                              Object source,
                              Field field,
                              Object value,
                              boolean local)

Method Detail

### getField

    public Field getField()

  Gets the field that was or is being modified (depending on the notification phase).

  Returns:
    the modified field

### getValue

    public Object getValue()

  Gets the new value that this field is being set to.

  Returns:
    the new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2008 JBoss, a division of Red Hat. All Rights Reserved.